Package org.eclipse.jface.contentassist

## Interface ISubjectControlContentAssistProcessor

All Superinterfaces:
  `IContentAssistProcessor`

    @Deprecated
    public interface ISubjectControlContentAssistProcessor
    extends IContentAssistProcessor

Deprecated.
As of 3.2, replaced by Platform UI's field assist support
Extension interface for `IContentAssistProcessor` which provides the context for the subject control content assistant.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ICompletionProposal[]` `computeCompletionProposals​(IContentAssistSubjectControl contentAssistSubjectControl, int documentOffset)` Deprecated. Returns a list of completion proposals based on the specified location within the document that corresponds to the current cursor position within the text viewer.
`IContextInformation[]` `computeContextInformation​(IContentAssistSubjectControl contentAssistSubjectControl, int documentOffset)` Deprecated. Returns information about possible contexts based on the specified location within the document that corresponds to the current cursor position within the content assist subject control.

### Methods inherited from interface org.eclipse.jface.text.contentassist.IContentAssistProcessor

`computeCompletionProposals, computeContextInformation, getCompletionProposalAutoActivationCharacters, getContextInformationAutoActivationCharacters, getContextInformationValidator, getErrorMessage`

### Method Detail

#### computeCompletionProposals

    ICompletionProposal[] computeCompletionProposals​(IContentAssistSubjectControl contentAssistSubjectControl,
                                                     int documentOffset)

Deprecated.
Returns a list of completion proposals based on the specified location within the document that corresponds to the current cursor position within the text viewer.

Parameters:
  `contentAssistSubjectControl` - the content assist subject control whose document is used to compute the proposals
  `documentOffset` - an offset within the document for which completions should be computed
Returns:
  an array of completion proposals or `null` if no proposals are possible

#### computeContextInformation

    IContextInformation[] computeContextInformation​(IContentAssistSubjectControl contentAssistSubjectControl,
                                                    int documentOffset)

Deprecated.
Returns information about possible contexts based on the specified location within the document that corresponds to the current cursor position within the content assist subject control.

Parameters:
  `contentAssistSubjectControl` - the content assist subject control whose document is used to compute the possible contexts
  `documentOffset` - an offset within the document for which context information should be computed
Returns:
  an array of context information objects or `null` if no context could be found